InstallXCTestBundle (Gradle API 7.6.3)

Package org.gradle.nativeplatform.test.xctest.tasks

## Class InstallXCTestBundle

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.nativeplatform.test.xctest.tasks.InstallXCTestBundle

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @DisableCachingByDefault(because="Not worth caching")
      public class InstallXCTestBundle
      extends DefaultTask

  Creates a XCTest bundle with a run script so it can be easily executed.
  Since:
    4.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InstallXCTestBundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.io.File` | `getBundleBinary()` |
    `RegularFileProperty` | `getBundleBinaryFile()` | Returns the bundle binary file property.
    `protected org.gradle.internal.nativeintegration.filesystem.FileSystem` | `getFileSystem()` |
    `protected FileSystemOperations` | `getFileSystemOperations()` |
    `DirectoryProperty` | `getInstallDirectory()` | Returns the install directory property.
    `Provider<RegularFile>` | `getRunScriptFile()` | Returns the script file that can be used to run the install image.
    `protected org.gradle.nativeplatform.toolchain.internal.xcode.SwiftStdlibToolLocator` | `getSwiftStdlibToolLocator()` |
    `protected void` | `install()` |

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### InstallXCTestBundle

          public InstallXCTestBundle()

  - ### Method Detail

    - #### getSwiftStdlibToolLocator

          @Inject
          protected org.gradle.nativeplatform.toolchain.internal.xcode.SwiftStdlibToolLocator getSwiftStdlibToolLocator()

    - #### getFileSystem

          @Inject
          protected org.gradle.internal.nativeintegration.filesystem.FileSystem getFileSystem()

    - #### getFileSystemOperations

          @Inject
          protected FileSystemOperations getFileSystemOperations()

    - #### install

          protected void install()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getRunScriptFile

          @Internal
          public Provider<RegularFile> getRunScriptFile()

      Returns the script file that can be used to run the install image.

    - #### getBundleBinaryFile

          @Internal("covered by getBundleBinary()")
          public RegularFileProperty getBundleBinaryFile()

      Returns the bundle binary file property.

    - #### getBundleBinary

          @SkipWhenEmpty
          @Nullable
          @Optional
          @PathSensitive(NAME_ONLY)
          @InputFile
          protected java.io.File getBundleBinary()

    - #### getInstallDirectory

          @OutputDirectory
          public DirectoryProperty getInstallDirectory()

      Returns the install directory property.